Is Snort package broken???



  • I have tried to re-install the package, but I get a failure once the snort tries to load.

    Thanks,
    Pod :'(



  • Please at least "try" to read the other threads and/or the blog
    http://blog.pfsense.org/



  • Yeah, so I have. Some packages are broken. trouble is, it was broken before this. I have had snort installed for over a month. I just wanted to know if Snort package was one of the some that were broken. This way I don't waste my time trying to re-install.

    Simple.

    So you know here is the error I get:

    Warning: main(guiconfig.inc) [function.main]: failed to open stream: No such file or directory in /usr/local/www/pfswww/packages/config/snort/snort_download_rules.php on line 34

    Fatal error: main() [function.require]: Failed opening required 'guiconfig.inc' (include_path='.:/usr/local/share/pear') in /usr/local/www/pfswww/packages/config/snort/snort_download_rules.php on line 34



  • Same errors here

    Warning: main(guiconfig.inc) [function.main]: failed to open stream: No such file or directory in /usr/local/www/pfswww/packages/config/snort/snort_download_rules.php on line 34

    Fatal error: main() [function.require]: Failed opening required 'guiconfig.inc' (include_path='.:/usr/local/share/pear') in /usr/local/www/pfswww/packages/config/snort/snort_download_rules.php on line 34

    The path does not exist so most of the tabs on the snort page fail. Settings, white list and advanced tabs seem to work fine ( A page loads)

    also the include_path points to a non existant directory



  • yep Update rules is broken here as well.



  • my pfsense is 1.2
    And my snort have same problem.



  • It's downloaded the pages it is told to in snort.xml but the pages on the server are not php pages but are actually error pages.

    view source on http://www.pfsense.com/packages/config/snort/snort_rules.php  returns

    Warning:  main(guiconfig.inc) [function.main]: failed to open stream: No such file or directory in /usr/local/www/pfswww/packages/config/snort/snort_rules.php on line 29

    Fatal error:  main() [function.require]: Failed opening required 'guiconfig.inc' (include_path='.:/usr/local/share/pear') in /usr/local/www/pfswww/packages/config/snort/snort_rules.php on line 29

    and that is exactly what is displayed when you click the rules tab.



  • My "old" Snort package was consuming 100% cpu(started @ ~13:10 Greewich time ),reinstalled the package ,its working fine now



  • yep just done a reinstall and it's running great :)



  • Thanks to the powers that are for fixing all the packages including Snort.


Locked